CMSIS-NN: cmsis_nn_pool_params Struct Reference

| CMSIS-NN Version 3.1.0 CMSIS NN Software Library

- Main Page
- Usage and Description
- Reference

- Data Structures
- Data Fields

All Data Structures Files Functions Variables Enumerations Enumerator Macros Groups Pages
Data Fields
cmsis_nn_pool_params Struct Reference

## Data Fields

cmsis_nn_tile | stride
cmsis_nn_tile | padding
cmsis_nn_activation | activation

## Description

CMSIS-NN object for pooling layer parameters

## Field Documentation

cmsis_nn_activation cmsis_nn_pool_params::activation

Referenced by arm_avgpool_s16(), arm_avgpool_s8(), arm_max_pool_s16(), and arm_max_pool_s8().

cmsis_nn_tile cmsis_nn_pool_params::padding

Referenced by arm_avgpool_s16(), arm_avgpool_s8(), arm_max_pool_s16(), and arm_max_pool_s8().

cmsis_nn_tile cmsis_nn_pool_params::stride

Referenced by arm_avgpool_s16(), arm_avgpool_s8(), arm_max_pool_s16(), and arm_max_pool_s8().